package com.ejie.ab61.model;

/**
 * VTInsSinExpediente  
 * 
 *  
 */

public class VTInsSinExpediente implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private Integer idInspeccion;
	private String identificadorInspeccion;
	private String titulo;
	private Integer idTercero;
	private String documento;
	private Integer idDireccion;
	private String direccion;
	private String codigoPostal;
	private Long idProvincia;
	private Long idMunicipio;
	private Long idLocalidad;

	/**
	 * Method 'VTInsSinExpediente'.
	 */
	public VTInsSinExpediente() {
	}

	/**
	 * Method 'VTInsSinExpediente'.
	 * 
	 * @param idInspeccion
	 *            Integer
	 * @param identificadorInspeccion
	 *            String
	 * @param titulo
	 *            String
	 * @param idTercero
	 *            Integer
	 * @param documento
	 *            String
	 * @param idDireccion
	 *            Integer
	 * @param direccion
	 *            String
	 * @param codigoPostal
	 *            String
	 * @param idProvincia
	 *            Long
	 * @param idMunicipio
	 *            Long
	 * @param idLocalidad
	 *            Long
	 */
	public VTInsSinExpediente(Integer idInspeccion, String identificadorInspeccion, String titulo, Integer idTercero,
			String documento, Integer idDireccion, String direccion, String codigoPostal, Long idProvincia,
			Long idMunicipio, Long idLocalidad) {
		this.idInspeccion = idInspeccion;
		this.identificadorInspeccion = identificadorInspeccion;
		this.titulo = titulo;
		this.idTercero = idTercero;
		this.documento = documento;
		this.idDireccion = idDireccion;
		this.direccion = direccion;
		this.codigoPostal = codigoPostal;
		this.idProvincia = idProvincia;
		this.idMunicipio = idMunicipio;
		this.idLocalidad = idLocalidad;
	}

	/**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */

	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * Method 'setIdInspeccion'.
	 *
	 * @param idInspeccion
	 *            Integer
	 * @return
	 */

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	/**
	 * Method 'getIdentificadorInspeccion'.
	 *
	 * @return String
	 */

	public String getIdentificadorInspeccion() {
		return this.identificadorInspeccion;
	}

	/**
	 * Method 'setIdentificadorInspeccion'.
	 *
	 * @param identificadorInspeccion
	 *            String
	 * @return
	 */

	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}

	/**
	 * Method 'getTitulo'.
	 *
	 * @return String
	 */

	public String getTitulo() {
		return this.titulo;
	}

	/**
	 * Method 'setTitulo'.
	 *
	 * @param titulo
	 *            String
	 * @return
	 */

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	/**
	 * Method 'getIdTercero'.
	 *
	 * @return Integer
	 */

	public Integer getIdTercero() {
		return this.idTercero;
	}

	/**
	 * Method 'setIdTercero'.
	 *
	 * @param idTercero
	 *            Integer
	 * @return
	 */

	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}

	/**
	 * Method 'getDocumento'.
	 *
	 * @return String
	 */

	public String getDocumento() {
		return this.documento;
	}

	/**
	 * Method 'setDocumento'.
	 *
	 * @param documento
	 *            String
	 * @return
	 */

	public void setDocumento(String documento) {
		this.documento = documento;
	}

	/**
	 * Method 'getIdDireccion'.
	 *
	 * @return Integer
	 */

	public Integer getIdDireccion() {
		return this.idDireccion;
	}

	/**
	 * Method 'setIdDireccion'.
	 *
	 * @param idDireccion
	 *            Integer
	 * @return
	 */

	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}

	/**
	 * Method 'getDireccion'.
	 *
	 * @return String
	 */

	public String getDireccion() {
		return this.direccion;
	}

	/**
	 * Method 'setDireccion'.
	 *
	 * @param direccion
	 *            String
	 * @return
	 */

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	/**
	 * Method 'getCodigoPostal'.
	 *
	 * @return String
	 */

	public String getCodigoPostal() {
		return this.codigoPostal;
	}

	/**
	 * Method 'setCodigoPostal'.
	 *
	 * @param codigoPostal
	 *            String
	 * @return
	 */

	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * Method 'getIdProvincia'.
	 *
	 * @return Long
	 */

	public Long getIdProvincia() {
		return this.idProvincia;
	}

	/**
	 * Method 'setIdProvincia'.
	 *
	 * @param idProvincia
	 *            Long
	 * @return
	 */

	public void setIdProvincia(Long idProvincia) {
		this.idProvincia = idProvincia;
	}

	/**
	 * Method 'getIdMunicipio'.
	 *
	 * @return Long
	 */

	public Long getIdMunicipio() {
		return this.idMunicipio;
	}

	/**
	 * Method 'setIdMunicipio'.
	 *
	 * @param idMunicipio
	 *            Long
	 * @return
	 */

	public void setIdMunicipio(Long idMunicipio) {
		this.idMunicipio = idMunicipio;
	}

	/**
	 * Method 'getIdLocalidad'.
	 *
	 * @return Long
	 */

	public Long getIdLocalidad() {
		return this.idLocalidad;
	}

	/**
	 * Method 'setIdLocalidad'.
	 *
	 * @param idLocalidad
	 *            Long
	 * @return
	 */

	public void setIdLocalidad(Long idLocalidad) {
		this.idLocalidad = idLocalidad;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ idInspeccion: ").append(this.idInspeccion).append(" ]");

		result.append(", [ identificadorInspeccion: ").append(this.identificadorInspeccion).append(" ]");

		result.append(", [ titulo: ").append(this.titulo).append(" ]");

		result.append(", [ idTercero: ").append(this.idTercero).append(" ]");

		result.append(", [ documento: ").append(this.documento).append(" ]");

		result.append(", [ idDireccion: ").append(this.idDireccion).append(" ]");

		result.append(", [ direccion: ").append(this.direccion).append(" ]");

		result.append(", [ codigoPostal: ").append(this.codigoPostal).append(" ]");

		result.append(", [ idProvincia: ").append(this.idProvincia).append(" ]");

		result.append(", [ idMunicipio: ").append(this.idMunicipio).append(" ]");

		result.append(", [ idLocalidad: ").append(this.idLocalidad).append(" ]");
		result.append("}");
		return result.toString();
	}

}
